libtotem-dev_3.18.1-1ubuntu4_amd64.deb


Advertisement

Description

libtotem-dev - Main library for the Totem media player - development files

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libtotem-dev_3.18.1-1ubuntu4_amd64.deb
Package name libtotem-dev
Package version 3.18.1
Package release 1ubuntu4
Package architecture amd64
Package type deb
Category libdevel
Homepage https://wiki.gnome.org/Apps/Videos
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 12.30 KB
Installed size 492.00 KB
This package contains development files for the Totem media player library.
You may need it to develop plugins for Totem.

Alternatives

Package Version Architecture Repository
libtotem-dev_3.18.1-1ubuntu4_i386.deb 3.18.1 i386 Ubuntu Main
libtotem-dev - - -

Requires

Name Value
gir1.2-totem-1.0 = 3.18.1-1ubuntu4
libglib2.0-dev -
libgtk-3-dev -
libtotem-plparser-dev -
libtotem0 = 3.18.1-1ubuntu4

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libtotem-dev_3.18.1-1ubuntu4_amd64.deb
Source Package totem

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libtotem-dev deb package:
    # sudo apt-get install libtotem-dev

Files

Path
/usr/include/totem/1.0/totem-dirs.h
/usr/include/totem/1.0/totem-interface.h
/usr/include/totem/1.0/totem-plugin.h
/usr/include/totem/1.0/totem.h
/usr/lib/x86_64-linux-gnu/libtotem.so
/usr/lib/x86_64-linux-gnu/pkgconfig/totem.pc
/usr/share/doc/libtotem-dev/AUTHORS
/usr/share/doc/libtotem-dev/NEWS.gz
/usr/share/doc/libtotem-dev/README
/usr/share/doc/libtotem-dev/TODO
/usr/share/doc/libtotem-dev/changelog.Debian.gz
/usr/share/doc/libtotem-dev/copyright
/usr/share/gir-1.0/Totem-1.0.gir

Changelog

2016-03-10 - Robert Ancell <robert.ancell@canonical.com>
totem (3.18.1-1ubuntu4) xenial; urgency=medium
* debian/patches/ubuntu-use-traditional-titlebars.patch:
- Fix usage of XDG_CURRENT_DESKTOP (LP: #1554878)
2016-01-28 - Matthias Klose <doko@ubuntu.com>
totem (3.18.1-1ubuntu3) xenial; urgency=medium
* Multiarchify the library packages.
2015-11-02 - Iain Lane <iain@orangesquash.org.uk>
totem (3.18.1-1ubuntu2) xenial; urgency=medium
* No-change rebuild against new gnome libraries
2015-10-30 - Robert Ancell <robert.ancell@canonical.com>
totem (3.18.1-1ubuntu1) xenial; urgency=medium
* Merge with Debian, remaining Ubuntu changes:
* debian/control.in:
- Drop libxtst-dev build-depends so that the (redundant) fake key presses
for inhibiting the screensaver are disabled (LP: #1007438)
- Build-depend on libzeitgeist-dev, libicu-dev
- Suggest rather than recommend gstreamer components in universe
- Add totem-plugins-extra
- Don't recommend gnome-settings-daemon from the plugins any more; it's not
right to pull in desktop integration bits by default.
- Switch gnome-icon-theme to adwaita-icon-theme, which is its successor.
- Version the dep on grilo-plugins to >= the version which had a fixed
grl-bookmarks.
- Use ubuntu-desktop vcs
- Use Python 3
* debian/rules:
- Build with --fail-missing, to ensure we install everything.
+ Ignore libtotem.{,l}a since we delibrately don't install these.
- Binary install override for totem-plugins-extra
- Generate compatibility .desktop file
- Enable buildflags script
- Use Python 3
- Enable GTK+ Doc
* debian/totem-common.install, debian/source_totem.py:
- Install Ubuntu apport debugging hook
* debian/totem-plugins-extra.install:
- Universe plugins split out of totem-plugins (currently only gromit)
* debian/totem-plugins.install:
- Skip the plugins split to -extra and add the zeitgeist plugin
* debian/patches/0001-Add-a-traditional-menubar.patch:
- Add a traditional menubar
* debian/patches/correct_desktop_mimetypes.patch:
- Don't list the mimetypes after the unity lists
* debian/patches/91_quicklist_entries.patch:
- Add static quicklist
* debian/patches/ubuntu-grilo-filesystem.patch:
- Use grl-filesystem if tracker is not available
* debian/patches/ubuntu-use-traditional-titlebars.patch:
- Use traditional titlebars on !GNOME
* debian/patches/0001-totem-open-location-Respect-gtk-dialogs-use-header-s.patch:
- Respect gtk-dialogs-use-header setting
* debian/patches/0002-preferences-Respect-gtk-dialogs-use-header-setting.patch:
- Respect gtk-dialogs-use-header setting
* debian/patches/0003-totem-movie-properties-Respect-gtk-dialogs-use-heade.patch:
- Respect gtk-dialogs-use-header setting
2015-10-12 - Michael Biebl <biebl@debian.org>
totem (3.18.1-1) unstable; urgency=medium
* New upstream release.
* Drop obsolete --disable-vegas-plugin configure flag.
* Quote file globs passed to find to avoid expansion by the shell and use
the builtin -delete method.
2015-10-23 - Sebastien Bacher <seb128@ubuntu.com>
totem (3.18.1-0ubuntu1) xenial; urgency=medium
* New upstream version
* debian/patches/git_dvd_events.patch:
- dropped, included in the new version
2015-09-23 - Andreas Henriksson <andreas@fatal.se>
totem (3.18.0-1) unstable; urgency=medium
* New upstream release.
2015-09-17 - Andreas Henriksson <andreas@fatal.se>
totem (3.16.4-1) unstable; urgency=medium
[ Josselin Mouette ]
* Remove Debian menu entry.
[ Andreas Henriksson ]
* New upstream release.
2015-09-01 - Michael Biebl <biebl@debian.org>
totem (3.16.3-1) unstable; urgency=medium
* New upstream release.
2015-10-12 - Sebastien Bacher <seb128@ubuntu.com>
totem (3.16.4-0ubuntu2) wily; urgency=medium
* debian/patches/git_dvd_events.patch:
- backend: Re-enable DVD events

See Also

Package Description
libtotem-pg-dev_2.3.5-3ubuntu1_amd64.deb cluster engine Totem library development
libtotem-pg5_2.3.5-3ubuntu1_amd64.deb cluster engine Totem library
libtotem-plparser-common_3.10.6-1ubuntu1_all.deb Totem Playlist Parser library - common files
libtotem-plparser-dev_3.10.6-1ubuntu1_amd64.deb Totem Playlist Parser library - development files
libtotem-plparser18_3.10.6-1ubuntu1_amd64.deb Totem Playlist Parser library - runtime files
libtotem0_3.18.1-1ubuntu4_amd64.deb Main library for the Totem media player
libtracker-control-1.0-0_1.6.2-0ubuntu1_amd64.deb library to control/monitor tracker miners
libtracker-control-1.0-dev_1.6.2-0ubuntu1_amd64.deb library to control/monitor tracker miners - development files
libtracker-control-doc_1.6.2-0ubuntu1_all.deb library to control/monitor tracker miners - API documentation
libtracker-miner-1.0-0_1.6.2-0ubuntu1_amd64.deb tracker data miner library
libtracker-miner-1.0-dev_1.6.2-0ubuntu1_amd64.deb tracker data miner library - development files
libtracker-miner-doc_1.6.2-0ubuntu1_all.deb tracker data miner library - API documentation
libtracker-sparql-1.0-0_1.6.2-0ubuntu1_amd64.deb metadata database, indexer and search tool - library
libtracker-sparql-1.0-dev_1.6.2-0ubuntu1_amd64.deb metadata database, indexer and search tool - development files
libtracker-sparql-doc_1.6.2-0ubuntu1_all.deb metadata database, indexer and search tool - API documentation
Advertisement
Advertisement